Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# Main.h File Reference

`#include <math.h>`
`#include "ExDefine.h"`
`#include "ExMath.h"`
`#include "ExManagerWindow.h"`
`#include "ExManagerConsole.h"`
`#include "ExManagerOutput.h"`
`#include "ExManagerTexture.h"`
`#include "ExManagerCollision.h"`
`#include "ExManagerMenu.h"`
`#include "ExManagerInterface.h"`
`#include "ExManagerMap.h"`
`#include "ExManagerCommand.h"`
`#include "ExManagerParticuleSystem.h"`
`#include "ExManagerGizmo.h"`
`#include "ExManagerLight.h"`
`#include "ExManagerFog.h"`
`#include "ExManagerAnimation.h"`
`#include "ExManagerId.h"`
`#include "ExManagerSound.h"`
`#include "ExManagerSpirit.h"`
`#include "ExManagerInputGLUT.h"`
`#include "ExNihiloNameSpace.h"`
`#include "ExCFile.h"`
`#include "ExCOptions.h"`
`#include "ExManager.h"`
`#include "ExManagerObject.h"`
`#include "ExManagerModele.h"`
`#include "ExManagerCamera.h"`
`#include "ExManagerNetwork.h"`
`#include "ExCModel.h"`
`#include "ExCObject.h"`
`#include "ExManagerFont.h"`
`#include "ExManagerSpecialEffect.h"`
`#include "ExManagerVertexArrays.h"`

Go to the source code of this file.

## Functions
void | display (void)
void | reshape (int w, int h)
void | keyboard (unsigned char key, int x, int y)
void | keyboardup (unsigned char key, int x, int y)
void | spekeyboard (int key, int x, int y)
void | spekeyboardup (int key, int x, int y)
void | Mouse (int button, int state, int x, int y)
void | MotionFunc (int x, int y)
void | PassiveMotionFunc (int x, int y)
void | SpaceballMotionFunc (int x, int y, int z)
void | SpaceballRotateFunc (int x, int y, int z)
void | TabletMotionFunc (int x, int y)
void | TabletButtonFunc (int button, int state, int x, int y)
void | Focus (int state)
void | DrawGrid (void)
void | SetGlutCallBack (void)
void | SetManagerLink (void)
void | InitManager (void)
void | InitGlExtension (void)
void | RoutingtoConsole (const char *Label)
## Variables
ExManagerWindow * | ManagerWindow
ExManagerConsole * | ManagerConsole
ExManagerOutput * | ManagerOutPut
ExManagerTexture * | ManagerTexture
ExManagerCollision * | ManagerCollision
ExManagerMenu * | ManagerMenu
ExManagerInterface * | ManagerInterface
ExManagerMap * | ManagerMap
ExManagerCommand * | ManagerCommand
ExManagerParticuleSystem * | ManagerParticuleSystem
ExManagerGizmo * | ManagerGizmo
ExManagerLight * | ManagerLight
ExManagerFog * | ManagerFog
ExManagerAnimation * | ManagerAnimation
ExManagerInputGLUT * | ManagerInputGLUT
ExManagerId * | ManagerId
ExManagerSpirit * | ManagerSpirit
ExManagerSound * | ManagerSound
ExManagerModel * | ManagerModele
ExManagerCamera * | ManagerCamera
ExManagerNetwork * | ManagerNetwork
ExManagerFont * | ManagerFont
ExManagerSpecialEffect * | ManagerSpecialEffect
ExManagerVertexArrays * | ManagerVertexArrays
bool | m_FullScreen

## Function Documentation

void display | ( | void |  | ) |

| Definition at line 390 of file Main.cpp. References ManagerInputGLUT, and ExManagerInputGLUT::TabletButton(). Referenced by SetGlutCallBack().
    00390 {ManagerInputGLUT->TabletButton(button,state,x,y);}

void DrawGrid | ( | void |  | ) |

void Focus | ( | int | state | ) |

| Definition at line 383 of file Main.cpp. References ManagerInputGLUT, and ExManagerInputGLUT::Mouse(). Referenced by SetGlutCallBack().
    00383 {ManagerInputGLUT->Mouse(button,state,x,y);}

void InitGlExtension | ( | void |  | ) |

| Definition at line 237 of file Main.cpp. References Guard, and InitGlExtension(). Referenced by InitGlExtension(), and main().
    00239 {
    00240 Guard(void InitGlExtension(void))
    00241
    00242         //glMultiTexCoord2fARB = (PFNGLMULTITEXCOORD2FARBPROC) wglGetProcAddress("glMultiTexCoord2fARB");
    00243         //glActiveTextureARB = (PFNGLACTIVETEXTUREARBPROC) wglGetProcAddress("glActiveTextureARB");
    00244         //glClientActiveTextureARB = (PFNGLCLIENTACTIVETEXTUREARBPROC) wglGetProcAddress("glClientActiveTextureARB");
    00245         //if(glMultiTexCoord2fARB = NULL) std::cout<<"OpenGl extension missing"<<std::endl;
    00246         //if(glActiveTextureARB = NULL) std::cout<<"OpenGl extension missing"<<std::endl;
    00247         //if(glClientActiveTextureARB = NULL) std::cout<<"OpenGl extension missing"<<std::endl;
    00248
    00249 UnGuard

void InitManager | ( | void |  | ) |

| Definition at line 251 of file Main.cpp. References ExManagerWindow::Apply(), ExManagerInputGLUT::CheckInput(), ExManagerSound::DisplayAviableInput(), ExManagerInputGLUT::DisplayAviableInput(), ExManagerWindow::GlutCallBack, Guard, ExManagerNetwork::Init(), ExManagerConsole::Init(), ExManagerCommand::Init(), ExManagerOutput::Init(), ExManagerModel::Init(), ExManagerLight::Init(), ExManagerParticuleSystem::Init(), ExManagerGizmo::Init(), ExManagerCamera::Init(), ExManagerMenu::Init(), ExManagerFont::Init(), ExManagerSpirit::Init(), ExManagerInterface::Init(), ExManagerSound::Init(), ExManagerTexture::Init(), ExManagerVertexArrays::Init(), ExManagerId::Init(), InitManager(), ManagerCamera, ManagerCommand, ManagerConsole, ManagerFont, ManagerGizmo, ManagerId, ManagerInputGLUT, ManagerInterface, ManagerLight, ManagerMenu, ManagerModele, ManagerNetwork, ManagerOutPut, ManagerParticuleSystem, ManagerSound, ManagerSpirit, ManagerTexture, ManagerVertexArrays, ManagerWindow, and SetGlutCallBack(). Referenced by InitManager(), and main().
    00253 {
    00254 Guard(void InitManager(void))
    00255         ManagerInputGLUT->CheckInput();
    00256         ManagerInputGLUT->DisplayAviableInput();
    00257         ManagerId->Init();
    00258         ManagerVertexArrays->Init();
    00259
    00260         //---------------------
    00261         ManagerTexture->Init();
    00262         ManagerSound->Init();
    00263         ManagerSound->DisplayAviableInput();
    00264
    00265         //---------------------
    00266         ManagerInterface->Init();
    00267         ManagerSpirit->Init();
    00268
    00269         ManagerFont->Init();
    00270         ManagerMenu->Init();
    00271         //---------------------
    00272         ManagerCamera->Init();
    00273         ManagerGizmo->Init();
    00274         ManagerParticuleSystem->Init();
    00275         ManagerLight->Init();
    00276         //---------------------
    00277         ManagerWindow->GlutCallBack=&SetGlutCallBack;
    00278         if(m_FullScreen)ManagerWindow->Apply();
    00279         ManagerModele->Init();
    00280
    00281         ManagerOutPut->Init();
    00282         ManagerCommand->Init();
    00283         ManagerConsole->Init();
    00284         ManagerNetwork->Init();
    00285
    00286
    00287
    00288 UnGuard

void keyboard | ( | unsigned char | key,
|  | int | x,
|  | int | y
| ) |

| Definition at line 378 of file Main.cpp. Referenced by SetGlutCallBack().
    00379 {ManagerInputGLUT->Key(key,x,y);}

void keyboardup | ( | unsigned char | key,
|  | int | x,
|  | int | y
| ) |

| Definition at line 379 of file Main.cpp. References ExManagerInputGLUT::Key(), and ManagerInputGLUT. Referenced by SetGlutCallBack().
    00379 {ManagerInputGLUT->Key(key,x,y);}

void MotionFunc | ( | int | x,
|  | int | y
| ) |

| Definition at line 384 of file Main.cpp. References ExManagerInputGLUT::Focus(), and ManagerInputGLUT. Referenced by SetGlutCallBack().
    00384 {ManagerInputGLUT->Focus(state);}

void Mouse | ( | int | button,
|  | int | state,
|  | int | x,
|  | int | y
| ) |

| Definition at line 382 of file Main.cpp. References ExManagerInputGLUT::KeySpeUp(), and ManagerInputGLUT. Referenced by SetGlutCallBack().
    00382 {ManagerInputGLUT->KeySpeUp(key,x,y);}

void PassiveMotionFunc | ( | int | x,
|  | int | y
| ) |

| Definition at line 385 of file Main.cpp. References ManagerInputGLUT, and ExManagerInputGLUT::MouseMotion(). Referenced by SetGlutCallBack().
    00385 {ManagerInputGLUT->MouseMotion(x,y);}

void reshape | ( | int | w,
|  | int | h
| ) |

| Definition at line 391 of file Main.cpp. References ExManagerOutput::DrawScene(), and ManagerOutPut. Referenced by SetGlutCallBack().
    00391 {ManagerOutPut->DrawScene();}

void RoutingtoConsole | ( | const char * | Label | ) |

| Definition at line 121 of file Main.cpp. References Guard, ManagerConsole, and ExManagerConsole::Write().
    00123 {
    00124         Guard(void RoutingtoConsole(const char *Label))
    00125                 ManagerConsole->Write(Label);
    00126         UnGuard

void SetGlutCallBack | ( | void |  | ) |

| Definition at line 290 of file Main.cpp. References display(), Focus(), Guard, ExManagerInterface::Init(), ExManagerOutput::Init(), ExManagerConsole::Init(), ExNihilo::InitBasicObjectList(), ExManagerInputGLUT::IsJoystick(), ExManagerInputGLUT::IsKeyboard(), ExManagerInputGLUT::IsMouse(), ExManagerInputGLUT::IsSpaceBall(), ExManagerInputGLUT::IsTablet(), keyboard(), keyboardup(), ManagerConsole, ManagerInputGLUT, ManagerInterface, ManagerOutPut, MotionFunc(), Mouse(), PassiveMotionFunc(), ExManagerInterface::Reset(), reshape(), SetGlutCallBack(), SpaceballMotionFunc(), SpaceballRotateFunc(), spekeyboard(), spekeyboardup(), TabletButtonFunc(), and TabletMotionFunc(). Referenced by InitManager(), main(), and SetGlutCallBack().
    00292 {
    00293         Guard(SetGlutCallBack(void))
    00294         //------------------------------------------------
    00295         //Adressage des Callbacks Keyboard
    00296         //------------------------------------------------
    00297         if(ManagerInputGLUT->IsKeyboard())
    00298         {
    00299                 glutKeyboardFunc(keyboard);
    00300                 glutKeyboardUpFunc(keyboardup);
    00301                 glutSpecialFunc(spekeyboard);
    00302                 glutSpecialUpFunc(spekeyboardup);
    00303         }else
    00304         {
    00305                 glutKeyboardFunc(NULL);
    00306                 glutKeyboardUpFunc(NULL);
    00307                 glutSpecialFunc(NULL);
    00308                 glutSpecialUpFunc(NULL);
    00309         }
    00310         //------------------------------------------------
    00311         //Adressage des Callbacks Mouse
    00312         //------------------------------------------------
    00313         if(ManagerInputGLUT->IsMouse())
    00314         {
    00315                 glutMouseFunc(Mouse);
    00316                 glutEntryFunc(Focus);
    00317                 glutMotionFunc(MotionFunc);
    00318                 glutPassiveMotionFunc(PassiveMotionFunc);
    00319         }
    00320         else
    00321         {
    00322                 glutMouseFunc(NULL);
    00323                 glutEntryFunc(NULL);
    00324                 glutMotionFunc(NULL);
    00325                 glutPassiveMotionFunc(NULL);
    00326         }
    00327         //------------------------------------------------
    00328         //Adressage des Callbacks Joystick
    00329         //------------------------------------------------
    00330         if(ManagerInputGLUT->IsJoystick())
    00331         {
    00332         }
    00333         else
    00334         {
    00335         }
    00336         //------------------------------------------------
    00337         //Adressage des Callbacks SpaceBall
    00338         //------------------------------------------------
    00339         if(ManagerInputGLUT->IsSpaceBall())
    00340         {
    00341                 glutSpaceballMotionFunc(SpaceballMotionFunc);
    00342                 glutSpaceballRotateFunc(SpaceballRotateFunc);
    00343         }
    00344         else
    00345         {
    00346                 glutSpaceballRotateFunc(NULL);
    00347                 glutSpaceballMotionFunc(NULL);
    00348         }
    00349         //------------------------------------------------
    00350         //Adressage des Callbacks Tablet
    00351         //------------------------------------------------
    00352         if(ManagerInputGLUT->IsTablet())
    00353         {
    00354                 glutTabletMotionFunc(TabletMotionFunc);
    00355                 glutTabletButtonFunc(TabletButtonFunc);
    00356         }
    00357         else
    00358         {
    00359                 glutTabletMotionFunc(NULL);
    00360                 glutTabletButtonFunc(NULL);
    00361         }
    00362         //------------------------------------------------
    00363         //Adressage des Callbacks Affichage
    00364         //------------------------------------------------
    00365         glutDisplayFunc(display);
    00366         glutIdleFunc(display);
    00367         glutReshapeFunc(reshape);
    00368         //------------------------------------------------
    00369         //List affichage
    00370         //------------------------------------------------
    00371         ManagerConsole->Init();
    00372         ExNihilo::InitBasicObjectList();
    00373         ManagerOutPut->Init();
    00374         ManagerInterface->Reset();
    00375         ManagerInterface->Init();
    00376         UnGuard

void SetManagerLink | ( | void |  | ) |

| Definition at line 128 of file Main.cpp. References Guard, ManagerAnimation, ManagerCamera, ManagerCollision, ManagerCommand, ManagerConsole, ManagerFog, ManagerFont, ManagerGizmo, ManagerId, ManagerInputGLUT, ManagerInterface, ManagerLight, ManagerMap, ManagerMenu, ManagerModele, ManagerNetwork, ManagerOutPut, ManagerParticuleSystem, ManagerSound, ManagerSpecialEffect, ManagerSpirit, ManagerTexture, ManagerVertexArrays, ManagerWindow, ExManager::SetConsolFlux(), ExManagerOutput::SetManagerAnim(), ExManagerCommand::SetManagerAnim(), ExManagerOutput::SetManagerCamera(), ExManagerCommand::SetManagerCamera(), ExManagerOutput::SetManagerCollision(), ExManagerCommand::SetManagerCollision(), ExManagerOutput::SetManagerCommand(), ExManagerInputGLUT::SetManagerCommand(), ExManagerOutput::SetManagerConsole(), ExManagerCommand::SetManagerConsole(), ExManagerOutput::SetManagerFog(), ExManagerCommand::SetManagerFog(), ExManagerOutput::SetManagerGizmo(), ExManagerCommand::SetManagerGizmo(), ExManagerObject< ExCModel * >::SetManagerId(), ExManagerObject< ExCFont >::SetManagerId(), ExManagerObject< ExCSystemeParticule >::SetManagerId(), ExManagerObject< ExCSound >::SetManagerId(), ExManagerObject< ExCSpirit >::SetManagerId(), ExManagerAnimation::SetManagerId(), ExManagerObject< ExCLight >::SetManagerId(), ExManagerObject< ExCGizmo >::SetManagerId(), ExManagerMap::SetManagerId(), ExManagerObject< ExCInterface >::SetManagerId(), ExManagerObject< ExCMenu >::SetManagerId(), ExManagerCollision::SetManagerId(), ExManagerObject< ExCTexture >::SetManagerId(), ExManagerObject< ExCCamera * >::SetManagerId(), ExManagerCommand::SetManagerId(), ExManagerOutput::SetManagerInterface(), ExManagerCommand::SetManagerInterface(), ExManagerOutput::SetManagerLight(), ExManagerCommand::SetManagerLight(), SetManagerLink(), ExManagerOutput::SetManagerMap(), ExManagerCommand::SetManagerMap(), ExManagerOutput::SetManagerMenu(), ExManagerCommand::SetManagerMenu(), ExManagerOutput::SetManagerModel(), ExManagerCommand::SetManagerModel(), ExManagerCamera::SetManagerModel(), ExManagerOutput::SetManagerNetwork(), ExManagerCommand::SetManagerNetwork(), ExManagerOutput::SetManagerParticuleSystem(), ExManagerCommand::SetManagerParticuleSystem(), ExManagerCommand::SetManagerSound(), ExManagerOutput::SetManagerSpirit(), ExManagerCommand::SetManagerSpirit(), ExManagerConsole::SetManagerTexture(), ExManagerInterface::SetManagerTexture(), ExManagerParticuleSystem::SetManagerTexture(), ExManagerMap::SetManagerTexture(), ExManagerCommand::SetManagerTexture(), ExManagerModel::SetManagerTexture(), ExManagerModel::SetManagerVertexArrays(), ExManagerConsole::SetManagerWindow(), ExManagerOutput::SetManagerWindow(), and ExManagerCommand::SetManagerWindow(). Referenced by main(), and SetManagerLink().
    00130 {
    00131 Guard(void SetManagerLink(void))
    00132
    00133         ManagerWindow->SetConsolFlux(Consol);
    00134         ManagerOutPut->SetConsolFlux(Consol);
    00135         ManagerId->SetConsolFlux(Consol);
    00136         ManagerCommand->SetConsolFlux(Consol);
    00137         ManagerInputGLUT->SetConsolFlux(Consol);
    00138         ManagerCamera->SetConsolFlux(Consol);
    00139
    00140         ManagerConsole->SetConsolFlux(Consol);
    00141         ManagerTexture->SetConsolFlux(Consol);
    00142         ManagerCollision->SetConsolFlux(Consol);
    00143         ManagerMenu->SetConsolFlux(Consol);
    00144         ManagerInterface->SetConsolFlux(Consol);
    00145         ManagerMap->SetConsolFlux(Consol);
    00146     ManagerParticuleSystem->SetConsolFlux(Consol);
    00147         ManagerGizmo->SetConsolFlux(Consol);
    00148         ManagerLight->SetConsolFlux(Consol);
    00149         ManagerFog->SetConsolFlux(Consol);
    00150         ManagerAnimation->SetConsolFlux(Consol);
    00151         ManagerSpirit->SetConsolFlux(Consol);
    00152         ManagerSound->SetConsolFlux(Consol);
    00153
    00154         ManagerModele->SetConsolFlux(Consol);
    00155         ManagerFont->SetConsolFlux(Consol);
    00156         ManagerSpecialEffect->SetConsolFlux(Consol);
    00157         ManagerVertexArrays->SetConsolFlux(Consol);
    00158
    00159
    00160         ManagerCommand->SetManagerId    (ManagerId      );
    00161         ManagerCamera->SetManagerId(ManagerId);
    00162
    00163         ManagerTexture->SetManagerId    (ManagerId      );
    00164         ManagerCollision->SetManagerId  (ManagerId      );
    00165         ManagerMenu->SetManagerId       (ManagerId      );
    00166         ManagerInterface->SetManagerId  (ManagerId      );
    00167         ManagerMap->SetManagerId        (ManagerId      );
    00168         ManagerGizmo->SetManagerId      (ManagerId      );
    00169         ManagerLight->SetManagerId      (ManagerId      );
    00170         ManagerAnimation->SetManagerId  (ManagerId      );
    00171         ManagerSpirit->SetManagerId     (ManagerId      );
    00172         ManagerSound->SetManagerId      (ManagerId      );
    00173         ManagerParticuleSystem->SetManagerId    (ManagerId      );
    00174         ManagerFont->SetManagerId       (ManagerId      );
    00175
    00176         ManagerModele->SetManagerId(ManagerId);
    00177
    00178         ManagerCamera->SetManagerModel(ManagerModele);
    00179         ManagerModele->SetManagerTexture(ManagerTexture);
    00180         ManagerModele->SetManagerVertexArrays(ManagerVertexArrays);
    00181
    00182         ManagerInputGLUT->SetManagerCommand(ManagerCommand);
    00183
    00184         ManagerCommand->SetManagerAnim(ManagerAnimation);
    00185         ManagerCommand->SetManagerCollision(ManagerCollision);
    00186         ManagerCommand->SetManagerFog(ManagerFog);
    00187         ManagerCommand->SetManagerGizmo(ManagerGizmo);
    00188         ManagerCommand->SetManagerLight(ManagerLight);
    00189         ManagerCommand->SetManagerMap(ManagerMap);
    00190         ManagerCommand->SetManagerParticuleSystem(ManagerParticuleSystem);
    00191         ManagerCommand->SetManagerTexture(ManagerTexture);
    00192         ManagerCommand->SetManagerWindow(ManagerWindow);
    00193         ManagerCommand->SetManagerCamera(ManagerCamera);
    00194         ManagerCommand->SetManagerGizmo(ManagerGizmo);
    00195         ManagerCommand->SetManagerMenu(ManagerMenu);
    00196         ManagerCommand->SetManagerInterface(ManagerInterface);
    00197         ManagerCommand->SetManagerConsole(ManagerConsole);
    00198         ManagerCommand->SetManagerSound(ManagerSound);
    00199         ManagerCommand->SetManagerSpirit(ManagerSpirit);
    00200
    00201         ManagerCommand->SetManagerModel(ManagerModele);
    00202         ManagerCommand->SetManagerNetwork(ManagerNetwork);
    00203
    00204         ManagerMap->SetManagerTexture(ManagerTexture);
    00205
    00206         ManagerParticuleSystem->SetManagerTexture(ManagerTexture);
    00207         //---------------------------------------------
    00208         ManagerOutPut->SetManagerWindow(ManagerWindow);
    00209         ManagerOutPut->SetManagerCommand(ManagerCommand);
    00210         ManagerOutPut->SetManagerCamera(ManagerCamera);
    00211
    00212         ManagerOutPut->SetManagerAnim(ManagerAnimation);
    00213         ManagerOutPut->SetManagerCollision(ManagerCollision);
    00214         ManagerOutPut->SetManagerFog(ManagerFog);
    00215         ManagerOutPut->SetManagerConsole(ManagerConsole);
    00216         ManagerOutPut->SetManagerMenu(ManagerMenu);
    00217         ManagerOutPut->SetManagerInterface(ManagerInterface);
    00218         ManagerOutPut->SetManagerSpirit(ManagerSpirit);
    00219         ManagerOutPut->SetManagerMap(ManagerMap);
    00220
    00221         ManagerOutPut->SetManagerModel(ManagerModele);
    00222         ManagerOutPut->SetManagerGizmo(ManagerGizmo);
    00223         ManagerOutPut->SetManagerParticuleSystem(ManagerParticuleSystem);
    00224         ManagerOutPut->SetManagerLight(ManagerLight);
    00225         ManagerOutPut->SetManagerNetwork(ManagerNetwork);
    00226         //-------------------------------------------------
    00227
    00228
    00229
    00230         ManagerInterface->SetManagerTexture(ManagerTexture);
    00231
    00232         ManagerConsole->SetManagerWindow(ManagerWindow);
    00233         ManagerConsole->SetManagerTexture(ManagerTexture);
    00234
    00235 UnGuard

void SpaceballMotionFunc | ( | int | x,
|  | int | y,
|  | int | z
| ) |

| Definition at line 386 of file Main.cpp. References ManagerInputGLUT, and ExManagerInputGLUT::MousePassiveMotion(). Referenced by SetGlutCallBack().
    00386 {ManagerInputGLUT->MousePassiveMotion(x,y);}

void SpaceballRotateFunc | ( | int | x,
|  | int | y,
|  | int | z
| ) |

| Definition at line 387 of file Main.cpp. References ManagerInputGLUT, and ExManagerInputGLUT::SpaceballMotion(). Referenced by SetGlutCallBack().
    00387 {ManagerInputGLUT->SpaceballMotion(x,y,z);}

void spekeyboard | ( | int | key,
|  | int | x,
|  | int | y
| ) |

| Definition at line 380 of file Main.cpp. References ExManagerInputGLUT::KeyUp(), and ManagerInputGLUT. Referenced by SetGlutCallBack().
    00380 {ManagerInputGLUT->KeyUp(key,x,y);}

void spekeyboardup | ( | int | key,
|  | int | x,
|  | int | y
| ) |

| Definition at line 381 of file Main.cpp. References ExManagerInputGLUT::KeySpe(), and ManagerInputGLUT. Referenced by SetGlutCallBack().
    00381 {ManagerInputGLUT->KeySpe(key,x,y);}

void TabletButtonFunc | ( | int | button,
|  | int | state,
|  | int | x,
|  | int | y
| ) |

| Definition at line 389 of file Main.cpp. References ManagerInputGLUT, and ExManagerInputGLUT::TabletMotion(). Referenced by SetGlutCallBack().
    00389 {ManagerInputGLUT->TabletMotion(x,y);}

void TabletMotionFunc | ( | int | x,
|  | int | y
| ) |

| Definition at line 388 of file Main.cpp. References ManagerInputGLUT, and ExManagerInputGLUT::SpaceballRotate(). Referenced by SetGlutCallBack().
    00388 {ManagerInputGLUT->SpaceballRotate(x,y,z);}

## Variable Documentation

bool m_FullScreen

| Definition at line 117 of file Main.h. Referenced by main().

ExManagerAnimation* ManagerAnimation

| Definition at line 105 of file Main.h. Referenced by main(), and SetManagerLink().

ExManagerCamera* ManagerCamera

| Definition at line 112 of file Main.h. Referenced by InitManager(), main(), SetManagerLink(), ExManagerOutput::SetManagerModel(), and ExManagerCommand::SetManagerModel().

ExManagerCollision* ManagerCollision

| Definition at line 96 of file Main.h. Referenced by main(), ExManagerOutput::SetManagerFog(), ExManagerEntite::SetManagerId(), ExManagerCommand::SetManagerId(), ExManagerCam::SetManagerId(), and SetManagerLink().

ExManagerCommand* ManagerCommand

| Definition at line 100 of file Main.h. Referenced by InitManager(), main(), ExManagerInputGLUT::SetManagerCommand(), ExManagerOutput::SetManagerConsole(), and SetManagerLink().

ExManagerConsole* ManagerConsole

| Definition at line 93 of file Main.h. Referenced by InitManager(), main(), RoutingtoConsole(), SetGlutCallBack(), SetManagerLink(), ExManagerOutput::SetManagerMenu(), and ExManagerCommand::SetManagerSound().

ExManagerFog* ManagerFog

| Definition at line 104 of file Main.h. Referenced by main(), ExManagerOutput::SetManagerAnim(), ExManagerCommand::SetManagerAnim(), and SetManagerLink().

ExManagerFont* ManagerFont

| Definition at line 114 of file Main.h. Referenced by InitManager(), main(), and SetManagerLink().

ExManagerGizmo* ManagerGizmo

| Definition at line 102 of file Main.h. Referenced by InitManager(), main(), ExManagerCommand::SetManagerLight(), SetManagerLink(), and ExManagerOutput::SetManagerParticuleSystem().

ExManagerId* ManagerId

| Definition at line 107 of file Main.h. Referenced by InitManager(), main(), ExManagerPVS::SetManagerId(), ExManagerObject< ExCSpirit >::SetManagerId(), ExManagerCollision::SetManagerId(), ExManagerAnimation::SetManagerId(), SetManagerLink(), ExManagerCommand::SetManagerMenu(), and ExManagerMap::SetManagerTexture().

ExManagerInputGLUT* ManagerInputGLUT

| Definition at line 106 of file Main.h. Referenced by display(), Focus(), InitManager(), keyboardup(), main(), MotionFunc(), Mouse(), PassiveMotionFunc(), SetGlutCallBack(), SetManagerLink(), SpaceballMotionFunc(), SpaceballRotateFunc(), spekeyboard(), spekeyboardup(), TabletButtonFunc(), and TabletMotionFunc().

ExManagerInterface* ManagerInterface

| Definition at line 98 of file Main.h. Referenced by InitManager(), main(), SetGlutCallBack(), ExManagerCommand::SetManagerConsole(), SetManagerLink(), and ExManagerOutput::SetManagerSpirit().

ExManagerLight* ManagerLight

| Definition at line 103 of file Main.h. Referenced by InitManager(), main(), SetManagerLink(), ExManagerOutput::SetManagerNetwork(), and ExManagerCommand::SetManagerParticuleSystem().

ExManagerMap* ManagerMap

| Definition at line 99 of file Main.h. Referenced by main(), ExManagerOutput::SetManagerCamera(), ExManagerCommand::SetManagerFog(), and SetManagerLink().

ExManagerMenu* ManagerMenu

| Definition at line 97 of file Main.h. Referenced by InitManager(), main(), ExManagerOutput::SetManagerInterface(), ExManagerCommand::SetManagerInterface(), and SetManagerLink().

ExManagerModel* ManagerModele

| Definition at line 111 of file Main.h. Referenced by InitManager(), main(), and SetManagerLink().

ExManagerNetwork* ManagerNetwork

| Definition at line 113 of file Main.h. Referenced by InitManager(), main(), and SetManagerLink().

ExManagerOutput* ManagerOutPut

| Definition at line 94 of file Main.h. Referenced by InitManager(), main(), reshape(), SetGlutCallBack(), and SetManagerLink().

ExManagerParticuleSystem* ManagerParticuleSystem

| Definition at line 101 of file Main.h. Referenced by InitManager(), main(), ExManagerOutput::SetManagerLight(), SetManagerLink(), and ExManagerCommand::SetManagerTexture().

ExManagerSound* ManagerSound

| Definition at line 109 of file Main.h. Referenced by InitManager(), main(), SetManagerLink(), and ExManagerCommand::SetManagerSpirit().

ExManagerSpecialEffect* ManagerSpecialEffect

| Definition at line 115 of file Main.h. Referenced by main(), and SetManagerLink().

ExManagerSpirit* ManagerSpirit

| Definition at line 108 of file Main.h. Referenced by InitManager(), main(), SetManagerLink(), and ExManagerOutput::SetManagerMap().

ExManagerTexture* ManagerTexture

| Definition at line 95 of file Main.h. Referenced by ExCSystemeParticule::GetParticuleSystemeState(), InitManager(), main(), ExManagerCommand::SetManagerCollision(), SetManagerLink(), ExManagerEntite::SetManagerPVS(), ExManagerParticuleSystem::SetManagerTexture(), ExManagerInterface::SetManagerTexture(), ExCParticuleTexture::SetManagerTexture(), ExCModel::SetManagerTexture(), ExManagerModel::SetManagerVertexArrays(), ExCEntite::SetNumberVertex(), and ExCOctree::ShowOctreeSubdivision().

ExManagerVertexArrays* ManagerVertexArrays

| Definition at line 116 of file Main.h. Referenced by InitManager(), main(), and SetManagerLink().

ExManagerWindow* ManagerWindow

| Definition at line 92 of file Main.h. Referenced by InitManager(), main(), ExManagerOutput::SetManagerCommand(), ExManagerCommand::SetManagerGizmo(), SetManagerLink(), ExManagerConsole::SetManagerTexture(), and ExCInterface::SetManagerTexture().